import { ElementRef, ComponentFactoryResolver, ViewContainerRef } from '@angular/core';
import { jsPlumbToolkit, Surface } from "jsplumbtoolkit";
export declare class jsPlumbService {
    toolkits: {};
    surfaces: {};
    miniviews: {};
    _workQueues: {};
    getToolkit(id: string, params: any): any;
    addSurface(id: string, surface: Surface): void;
    getSurface(id: string, callback: Function, _params: any): any;
    addMiniview(surfaceId: string, params: any): void;
}
export declare class jsPlumbToolkitComponent {
    private el;
    private $jsplumb;
    private componentFactoryResolver;
    private viewContainerRef;
    jtkId: string;
    surfaceId: string;
    view: any;
    renderParams: any;
    toolkitParams: any;
    methods: any;
    nodeResolver: Function;
    toolkit: jsPlumbToolkit;
    surface: Surface;
    constructor(el: ElementRef, $jsplumb: jsPlumbService, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef);
    getNativeElement(component: any): any;
    ngAfterViewInit(): void;
}
export declare class jsPlumbMiniviewComponent {
    private el;
    private $jsplumb;
    private componentFactoryResolver;
    private viewContainerRef;
    surfaceId: string;
    constructor(el: ElementRef, $jsplumb: jsPlumbService, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef);
    ngAfterViewInit(): void;
}
export declare class jsPlumbPaletteComponent {
    private el;
    private $jsplumb;
    constructor(el: ElementRef, $jsplumb: jsPlumbService);
    selector: string;
    surfaceId: string;
    typeExtractor: Function;
    locationSetter: Function;
    generator: Function;
    ngAfterViewInit(): void;
}
export declare class jsPlumbToolkitModule {
}
